Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 230185 - quadkonsole depends on kdebase
Summary: quadkonsole depends on kdebase
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: quadkonsole
Version: 6
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Simon Perreault
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-27 10:00 UTC by Robert 'Bob' Jensen
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version: 2.0.1-3
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-02-28 00:39:38 UTC


Attachments (Terms of Use)

Description Robert 'Bob' Jensen 2007-02-27 10:00:52 UTC
Description of problem:

Installing quadkonsole does not bring in kdebase. quadkonsole fails to start
because libkonsolepart.la is missing.

Version-Release number of selected component (if applicable):



How reproducible:

Very

Steps to Reproduce:
1. Install gnome desktop
2. yum install quadkonsole

Actual results:

quadkonsole fails to start 

here is some output from strace 

[pid  3276] lstat64("/root", {st_mode=S_IFDIR|0750, st_size=4096, ...}) = 0
[pid  3276] lstat64("/root/.kde", {st_mode=S_IFDIR|0700, st_size=4096, ...}) = 0
[pid  3276] lstat64("/root/.kde/lib", 0xbf97fc4c) = -1 ENOENT (No such file or
directory)
[pid  3276] lstat64("/usr", {st_mode=S_IFDIR|0755, st_size=4096, ...}) = 0
[pid  3276] lstat64("/usr/lib", {st_mode=S_IFDIR|0755, st_size=45056, ...}) = 0
[pid  3276] lstat64("/usr/lib/kde3", {st_mode=S_IFDIR|0755, st_size=4096, ...}) = 0
[pid  3276] access("/usr/lib/kde3", F_OK) = 0
[pid  3276] lstat64("/usr/lib/kde3", {st_mode=S_IFDIR|0755, st_size=4096, ...}) = 0
[pid  3276] access("/root/.kde/lib/kde3/libkonsolepart.la", R_OK) = -1 ENOENT
(No such file or directory)
[pid  3276] access("/usr/lib/kde3/libkonsolepart.la", R_OK) = -1 ENOENT (No such
file or directory)
[pid  3276] lstat64("/root", {st_mode=S_IFDIR|0750, st_size=4096, ...}) = 0
[pid  3276] lstat64("/root/.kde", {st_mode=S_IFDIR|0700, st_size=4096, ...}) = 0
[pid  3276] lstat64("/root/.kde/lib", 0xbf97fc4c) = -1 ENOENT (No such file or
directory)
[pid  3276] lstat64("/usr", {st_mode=S_IFDIR|0755, st_size=4096, ...}) = 0
[pid  3276] lstat64("/usr/lib", {st_mode=S_IFDIR|0755, st_size=45056, ...}) = 0
[pid  3276] access("/usr/lib", F_OK)    = 0
[pid  3276] lstat64("/usr/lib", {st_mode=S_IFDIR|0755, st_size=45056, ...}) = 0
[pid  3276] access("/root/.kde/lib/libkonsolepart.la", R_OK) = -1 ENOENT (No
such file or directory)
[pid  3276] access("/usr/lib/libkonsolepart.la", R_OK) = -1 ENOENT (No such file
or directory)
[pid  3276] rt_sigprocmask(SIG_UNBLOCK, [ABRT], NULL, 8) = 0
[pid  3276] tgkill(3276, 3276, SIGABRT) = 0
[pid  3276] --- SIGABRT (Aborted) @ 0 (0) ---
[pid  3276] rt_sigaction(SIGALRM, {SIG_DFL}, {SIG_DFL}, 8) = 0
[pid  3276] alarm(3)                    = 0
[pid  3276] getrlimit(RLIMIT_NOFILE, {rlim_cur=1024, rlim_max=1024}) = 0
[pid  3276] close(3)                    = 0
[pid  3276] close(4)                    = 0
[pid  3276] close(5)                    = 0
[pid  3276] close(6)                    = 0
[pid  3276] close(7)                    = 0
[pid  3276] close(8)                    = 0

Expected results:

quadkonsole should require kdebase as it provides libkonsolepart.la allowing
quadkonsole to run.


Note You need to log in before you can comment on or make changes to this bug.